Last Comment Bug 707386 - Remove use of drag session from treebodyframe
: Remove use of drag session from treebodyframe
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XP Toolkit/Widgets: XUL (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla13
Assigned To: Neil Deakin
:
Mentors:
Depends on: 707382
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-02 17:28 PST by Neil Deakin
Modified: 2012-02-08 09:42 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (9.07 KB, patch)
2011-12-02 17:28 PST, Neil Deakin
neil: review+
Details | Diff | Splinter Review

Description Neil Deakin 2011-12-02 17:28:59 PST
Created attachment 578784 [details] [diff] [review]
patch

We can use the datatransfer for what it needs.
Comment 1 neil@parkwaycc.co.uk 2011-12-03 11:36:58 PST
Comment on attachment 578784 [details] [diff] [review]
patch

>+    dragEvent->dataTransfer->GetDropEffectInt(&action);
nsIDOMDataTransfer has no method named GetDropEffectInt yet. 
r=me with that fixed.

>+      // True while dragging over the tree.
>+      bool mIsDragging;
This belongs with mDropAllowed (for packing).
Comment 2 Ed Morley [:emorley] 2012-02-08 09:42:35 PST
https://hg.mozilla.org/mozilla-central/rev/4d1399c02fd4

Note You need to log in before you can comment on or make changes to this bug.